import React from "react";
import { ContainerSize } from "./Container";
export interface CardProps {
    href?: string;
    size?: ContainerSize;
    className?: string;
}
export declare const BaseCard: React.FunctionComponent<CardProps>;
export declare const Card: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    size?: "full" | "small" | "medium" | "large" | undefined;
}, never>;
export declare const CardHeading: import("styled-components").StyledComponent<"h2", import("styled-components").DefaultTheme, {}, never>;
export declare const CardContent: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, import("../text/text").TextProps, never>;
export declare const CardImage: import("styled-components").StyledComponent<"img", import("styled-components").DefaultTheme, {}, never>;
export declare const Panel: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    size?: "full" | "small" | "medium" | "large" | undefined;
}, never>;
export declare const CardHeader: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const CardBody: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const CardFooter: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
